 Description
Description

[Help index]

Overview: AccessFIX is a fourth generation MS Access file recovery Software that restores damaged or corrupt files that cannot be opened. AccessFIX extracts the information from the damaged file and creates a new file that is trouble free. It works with all versions of MS Access including 95, 97, 2000, XP, and 2003.

Editions: AccessFIX is available in two registered editions: PRO and Enterprise. You can preview and order AccessFIX as a stand alone Software or as part of the Office recovery Suite OfficeFIX. OfficeFIX includes all three Cimaware Software Ms Office recovery utilities that include ExcelFIX, AccessFIX and WordFIX.

The free demo edition lets you evaluate the file recovery capabilities of the program.


 New in this version
New in this version

This version has an improved recovery engine that restores many new corruption types. It also includes an all new user interface. In addition to the features in previous versions, the new AccessFIX 4 includes:

  • An improved recovery engine. Many new corruption types have been added.
  • New user interface and design. AccessFIX interacts through an innovative "one window only" graphic user interface similar to the navigation used in internet browsers.
  • New context help system. Every button, field, and control in AccessFIX has a detailed explanation attached. You can view the explanation texts by placing the mouse pointer over any element and waiting a few seconds.
  • New auto-update feature allows you to know if there is a newer release every time you start the program and download it directly from AccessFIX in a few clicks.

Read about the different features in AccessFIX.


 Features & editions
Features & editions

The Demo edition allows you to evaluate each edition through the program menu [Help / Demo].

AccessFIX is delivered in 2 different commercial editions: PRO and Enterprise; and 1 free evaluation Demo edition.

AccessFIX PRO

This edition can create a functioning version of a damaged MS Access file in seconds. The features include:

  • Extracts the structure and the tables' contents from damaged database files.
  • Creates new trouble free database files with the original contents.
  • Saves the recovered data in a new trouble free MS Access database or as standard text CSV.
  • Recovers Access 95, 97, 2000, XP and 2003 files.
  • Requires MS Access 97, 2000 or XP installed in order to save as an MDB file. Not required if you use Text CSV exportation.
  • Recovers MEMO and OLE fields.
  • Lets you use a structure replacement file to restore lost table definitions. Only needed in certain corruption instances.
  • Recovers damaged password protected file even if you do not have the password.
  • Frequent updates with new features.
  • Free technical support.
  • Free updates for 1 year.
  • Easy download and installation.
  • Easy user interface for both advanced and novice users.
  • Includes automatic install and uninstall features.
  • New user Interface and design.
  • Available in seven languages including English, Spanish, French, German, Dutch, Italian, and Portuguese.
  • Context sensitive help.
  • Auto-update feature.

AccessFIX Enterprise

The Enterprise edition is recommended for use in businesses and corporations. In addition to the features found in the PRO edition, AccessFIX Enterprise includes a multi-file recovery option for those cases where many files have been affected by a corruption and you want to apply a batch recovery instead of a one by one recovery. In only one operation you can restore dozens or even hundreds of files. The features include:

  • All the PRO edition features.
  • Multi-file recovery: Allows you to select and recover multiple files in one step.


 Release history
Release history

AccessFIX was released on March 27th, 2002. You can view the entire release history in our web site.


 System requirements
System requirements

Minimum requirements

  • Computer: 486 or better.
  • Operating System: Microsoft Windows.
  • Memory: 32 megabytes.
  • Disk Space: 8 megabytes.
  • Video: 256 colors.

Recommended Set-up

  • Computer: Pentium 200 or better.
  • Operating System: Microsoft Windows.
  • Memory: 64+ megabytes.
  • Disk Space: 16+ megabytes.
  • Video: 16 bit or better.


 Multi-language
Multi-language

Program

You can select the user interface language during the installation. If you want to change the language, and AccessFIX is already installed, you will need to uninstall and reinstall AccessFIX in order to select a different language.

The available languages are:

  • English
  • Spanish
  • German
  • French
  • Italian
  • Dutch
  • Portuguese

Web site

The Cimaware Software website is also available in the same languages:

  • English: http://www.cimaware.com
  • Spanish: http://www.es.cimaware.com
  • German: http://www.cimaware.de
  • French: http://www.cimaware.com.fr
  • Italian: http://www.cimaware.it
  • Dutch: http://www.cimaware.nl
  • Portuguese: http://www.br.cimaware.com


 Limitations
Limitations

Depending on the type of corruption not all files are recoverable. A damaged file can be recovered when the information is damaged or corrupt, but not when it has been erased from the file.

AccessFIX can only restore information left in the file after the corruption. In most cases this is 99% to 100% of the file.

There are some limitations in the functions AccessFIX can perform. We work hard to create new recovery features:

  • AccessFIX recovers MS Access 95, 97, 2000, XP and 2003.
  • AccessFIX requires MS Access 97, 2000 or XP installed in order to save as an MDB file. Not required if you use Text CSV exportation. Access 95 files can be saved in MDB format only if Access 97, 2000, or XP are installed.
  • The PRO edition recovers one file at a time. Batch recovery is available in the Enterprise edition.
  • AccessFIX recovers tables, but not Queries, Forms, Reports, Macros nor Modules.
  • Indexes, field attributes, and relations are lost.
  • Autoincrement fields are changed to regular numeric fields in the save process in order to preserve the original values.
  • Depending on the extent of the damage not all files can be recovered.
  • AccessFIX can't recover password protected files if the "security file" option is set.


 Uninstall instructions
Uninstall instructions

From your windows desktop launch [Start / Programs / Cimaware OfficeFIX 3 / Uninstall OfficeFIX].

AccessFIX is a pure stand alone application that never interferes with your system. AccessFIX does not modify nor change anything in MS Access nor Windows, therefore the uninstall function simply removes the AccessFIX files from the "Programs" folder and removes the program from the Windows application list.


 Main window & navigation
Main window & navigation

One window navigation

AccessFIX interacts through an innovative "one window only" graphic user interface similar to the navigation used in internet browsers.

Use the bottom-right buttons to progress through the different steps of the program.

Wizards

AccessFIX is organized in several wizards and forms to perform the different functions. If you are navigating a wizard the top-right label will tell you what the current wizard and step is.

Top buttons

The top buttons allows you to change the current main section. The main sections are: Quick recovery, Advanced recovery, Multi-file recovery, Options and Update.

Some of the main sections have an added navigation on the left intended to facilitate browsing when there are many forms or when using wizards with multiple steps.

Tool-tips

Every button, field, and control in AccessFIX has a detailed explanation attached. You can view the explanation texts by placing the mouse pointer over any element and waiting a few seconds.

Contextual help

You can open the help by pressing the key <F1> at any time.


 Quick recovery
Quick recovery

You can access to the Quick recovery wizard in the menu [File / Recovery].

The Quick Recovery wizard allows you to perform the recovery of a damaged MS Access file easily in only a few steps with a set of default options, from the selection of the damaged file, the recovery, and saving it into a new trouble free MS Access document.

If you require more control over the recovery you may want to try the Advanced recovery.


 Advanced recovery
Advanced recovery

You can access this section through the menu [File / Advanced].

The Advanced Recovery process allows you to perform the recovery of a damaged MS Access file with advanced options and additional functions. If advanced options are not required we recommend using the Quick recovery.

Added left navigation

Links in this group will take you to the different entry points of the advanced recovery wizard. You will be able to select the damaged file, recover, view and save it to a new and trouble free MS Access file.

Why are some options not available?

Some options are grayed out until a file has been read and is in the memory of the software. For example, you cannot access the viewer or the save options until a file has been selected and recovered.


 Multi-file recovery
Multi-file recovery

You can access the Multi-file recovery wizard in the menu [File / Multi-file].

The Multi-file Recovery wizard allows you to perform an unattended recovery of a series of damaged MS Access files. This will read and recover the corrupt files one by one with the default options and will save the resulting files in a new location to preserve the original files. The wizard will complete the recovery of all the files even if one of the files could not be recovered correctly. After the recoveries are completed you will see how each file was recovered.

You can set-up the way in which AccessFIX calculates the location and file name of the output files in the menu [Options / Options / Multi-file].

If you would like more control over the recovery process, you may prefer a one by one recovery using the Quick recovery or Advanced recovery functions.


 Options: General
Options (general)
[General] [Multi-file] [Save format ] [Alerts]
[Help index]

You can access this main section in the menu [Options / Options].

Edit the options you want and click on [Apply] to save, or [Cancel] to discard. You will be taken to the last recovery wizard step you were running.

On start recovery section

You may set AccessFIX to start with one of the three recovery Wizards available: Quick recovery, Advanced recovery, or Multi-file recovery. Not all options are available for every edition of the program.

Default output file suffix

This option will only affect the quick recovery & advanced recovery operations. For multi-file recovery naming options go to the menu [Options / Options / Multi-file].

By default, a file recovered by AccessFIX will have the original file name plus the suffix "(AccessFIX)". This is done to avoid using the same file name and overwriting the original file.

The program lets you edit the suffix used for the output file name but it will not let you leave the field empty. AccessFIX will not let you overwrite your original file.

The changes made to the default output file suffix will be applied to the current file being recovered and to any file recovered thereafter.

Auto-check for updates

If this option is checked AccessFIX will check for updates online each time the program is started. If you are not regularly connected to the Internet you may want to uncheck this option.

If this option is activated AccessFIX will check for updates automatically when the program is starting. Only If there is a new version available you will be taken to the update wizard where you will be able to download the newer version.

The program will always download the latest version even when this option is unchecked in the menu [Options / Update].


 Update wizard: Check for updates
Update wizard (1 of 4)
[Previous] [Next] -[1] [2] [3] [4]
[Help index]

You can access this option from the menu [Options / Update]

This wizard allows you to download & install the latest available release of the program from our web site by simply clicking a few times on the "next" button.

Check for updates

Click on [Check online] to connect to the cimaware.com site and check if there are new updates available.

You can have the program check automatically for updates each time you start it. This option is in the menu [Options / Options / General].

Privacy warranty

Your privacy is fully protected. No personal information is ever exchanged. Read our privacy policy web page.


 Installing the license file
Installing the license file

If you try to use a purchased version of AccessFIX but the license file has not been installed in Windows you will be redirected to the "License required" screen.

When you purchase AccessFIX you are actually purchasing a user license of the program. The user license consists of the licensee data (your data) and the particular terms such as when your free updating expires. All this data is electronically signed and entered into the license file.

Quickly processing the "license required" screen.

This will take you just 1 minute:

  • Go to the Quick install page in your member's control panel at our web site.
  • The "Step 1" has a link to download and install the license file. Once this is done you can click on [Try again] to continue.

You will be asked for your login data. You can find this data in the email you received after purchasing. If you still have problems with this screen contact us.


 1st time activation
1st time activation

If you try to start AccessFIX when it is not activated you will be directed to the "Program activation" screen.

The purchased version of AccessFIX requires online activation for each installed copy of the program.

Quick activation from the "Program activation" screen.

This is an automatic operation. You only have to click on [Activate] with an active Internet connection.

If you have problems activating the program

If you have problems with this screen make a support request including the "hardware code" accessible by right-clicking on the middle of the screen and selecting [Activate offline].

Privacy warranty

Your privacy is fully protected. When you click on the [Activate] button, the following steps are carried out:

  1. The program connects to our internet server.
  2. The user license number and a hash code representing your hardware is sent. This code does not provide any information about you or your computer.
  3. Our internet server returns a signed validation which activates the program.

Cimaware Software puts a priority on the protection of the personal data of its customers. Read our privacy policy web page.


 Licensee details & license agreement
License details & agreement

You can read the details about your license in the menu [Help / License].

When you purchase AccessFIX you are actually purchasing a user license of the program. The user license has two parts:
  • License details: information about the licensee and particular terms of the license such as the updates limit date.

  • License agreement: the shared contract for all AccessFIX users.


 Demo settings
Demo settings

You can access the demo settings through the menu [Help / Demo].

There are 3 different editions of AccessFIX: PRO, Enterprise, and Demo. This screen allows you to select any of the available editions for evaluation purposes. The demo restrictions are applied to all the editions.

Choose an edition on the combo "Work as" and click on [Apply]. AccessFIX Demo will convert to the selected edition.


 Company
Company

Since 1998, Cimaware Software has provided software solutions that give individuals and organizations the opportunity to recover Microsoft Office files, databases, and documents, that have been damaged by a corruption. Read more about Cimaware Software at our web site.


 Contact information
Contact information

Address

Cimaware Software
c/ Josep Pla 18
28002 Madrid
Spain, European Union
Tax ID: B-82363896

Business hours

Time zone | Hours | Location
US Eastern Standard Time (EST) | 3AM to 3PM | U.S. East coast
Greenwich Mean Time (GMT) | 8AM to 8PM | London, Dublin, Lisbon
Central European Time (CET) | 9AM to 9PM | Madrid, Paris, Brussels, Copenhagen

After placing your order Online registration and download information is sent immediately and automatically via Email, regardless of our business hours.

Send us a message

  • Sales support: general questions.
  • Technical support: technical questions.
  • Feedback: suggestions about the software or the web site.

Europe phone & fax

  • Phone: +34 912 374 010
  • Fax: +34 915 614 283

English and Spanish spoken.

U.S. phones and Fax

  • Sales support only. Not for technical support.
  • Please check our business hours above.
  • Calls outside the US should use the European numbers.
  • Toll Free (US only): +1 866 849 0342
  • Phone: +1 206 203 6114
  • Fax: +1 530 678 9846 / +1 888 217 3587

English and Spanish spoken.


 Technical support
Technical support

Purchasing AccessFIX includes free technical support via Email or Web request. All questions are answered promptly always in the same day if received during office hours Monday through Friday within the hour, usually in minutes.

Please read our Frequently Asked Questions and if you do not find the answer make a support request.


 Demo limitations
Demo limitations

AccessFIX demo edition allows you to assess the recovery capabilities of the utility. You can select any damaged file and recover it in seconds. Once the file has been recovered you can view the results in the document viewer. AccessFIX demo edition can be configured so it works as any of the editions: PRO or Enterprise. Read more about the demo settings.

The demo edition works exactly as the purchased editions except for the following:

  • The demo shows a preview of the recovered data but it does not save the file.
  • The demo hides row 40 and one in ten records thereafter.


 Evaluating AccessFIX editions
Evaluating AccessFIX editions

AccessFIX demo edition can be configured so it works as any of the AccessFIX editions: PRO or Enterprise. AccessFIX demo edition automatically starts working as AccessFIX PRO although you can change it at any time in the demo settings.

We recommend trying AccessFIX demo with your file in each of the different editions. Once you have evaluated the recovered file information in each, visit our editions & prices web page in order to make your choice. You will also find in this page the available multi-license packs. Please feel free to contact us for custom pricing and multi-licensing options, including Site and Global licensing.

All licenses include free updates and technical support for one year.


 How to order AccessFIX
How to order AccessFIX

AccessFIX is very easy to order. The entire process takes an average of 15 minutes from ordering to the recovery of your file. These are the steps to follow:
  1. Go to our secure web order page.
  2. Select the product you want and enter your ordering information.
  3. In a few minutes our automatic system will send you an Email containing your download and install instructions, 24 hours a day, seven days a week.
  4. Recover your damaged files.

Payment options

If you do not have a credit card or simply need to know what other payment methods are accepted go to our payment options web page.

If you can only pay with a P.O please contact us

How is AccessFIX delivered?

Key codes and download instructions are sent via Email immediately and automatically after the order is processed.


 Advanced recovery: Preview
Advanced recovery wizard (5 of 8)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [6 a] [7] [8]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 8 steps.

Preview

This allows you to preview the recovered tables. The window is divided into three areas that you can rearrange by dragging the splitters between areas.

Click on [Go to save] to go to the next step and start the save process.

There are 3 areas:

Tables

The top-left area shows the list of tables in the file. Click on a table to preview it. If a table icon is marked with a red "X" ( [image]), it means the table has lost its definition. You can improve the recovery of this kind of tables using a structure replacement file.

Records

The top-right area shows the details of the selected table. You can resize the column width by dragging the splitter between field headers. If you click on a field and wait a second a tooltip window will show the whole field content.

Summary

The bottom area shows the total, and per table record count as well as possible warnings.

Demo restrictions

The demo version of AccessFIX will show you a partial view of the recovered data hiding row 40 and one in ten rows thereafter.


 Advanced recovery: Recovery progress
Advanced recovery wizard (3 of 8)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [6 a] [7] [8]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 8 steps.

Recovery progress

During the file recovery you will see a progress bar that will show you how long the process will last.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Advanced recovery: Recovery results
Advanced recovery wizard (4 of 8)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [6 a] [7] [8]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 8 steps.

Recovery results

When the file has been recovered you will see the results of the operation and a summary of the recovered elements in your file.

Click on [View] to go to the next step and see the recovered file in the preview window.

Recovery error:

If the recovery failed please correct the cause of the failure and click on [Try again] to begin a new recovery of the file.


 Advanced recovery: Saving the file
Advanced recovery wizard (6 of 8)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [6 a] [7] [8]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 8 steps.

Saving the file

The screen shows you the name and path of the new file that will be created. In order to preserve the original file a new one is created by adding the suffix "(AccessFIX)" to the original file name. The new file is saved in the same location as the original file.

Click on [Save] to save the recovered data into the new file.

Output file name

You may change the name of the output file by editing directly the field [Recovered file]. You should not use the same name as the original file in order to avoid overwriting it.

File naming settings

You may change the default suffix used to name the new file as well as the CSV format settings in the menu [Options / Options / General].

Output file format

You can select one of three options:

Currently installed MS Access version: The recovered file will be saved as a new MS Access file. The version will be detected from the installed Ms Jet database engine installed in the system. This will correspond in most cases with your currently installed MS Access version.

MS Access 95: Use this option to "force" the save in MS Access 95 file format. Sometimes, when you install an additional software that uses MS Access databases, the Ms Jet database engine is automatically upgraded so the detected version is newer than your installed MS Access version. If you have installed MS Access 95 but the recovered saved file cannot be opened with an "unrecognized file format" error, set this option.

CSV text files: If you check this option the recovered tables will be saved as text files with CSV format. This is a standard data exchanging format recognized by many programs including MS Access. AccessFIX will create a new CSV file for each table and all the files will be stored in a newly created folder named as the original damaged file plus the suffix "_csv".

Tables button

Click on [Tables] to select what tables you want to save from the file. By default all the tables are saved.


 Advanced recovery: Save results
Advanced recovery wizard (8 of 8)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [6 a] [7] [8]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 8 steps.

Save results

This screen is shown when the save process is completed. If you want more information regarding the recovered file please read the topic recovered file questions.

Once the file has been successfully saved click on [Open] to open the new file using MS Access.

If the save process failed

If the save process failed please correct the cause of the failure and click on [Try again] to begin a new saving process of the file.

Starting a new recovery

In order to perform a new Quick Recovery click on the [Recovery] top button and you will return to the first step of the Wizard.


 Advanced recovery: Sheets to save
Advanced recovery wizard (6a of 8)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [6 a] [7] [8]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 8 steps.

Tables to save

This can be accessed only from the advanced recovery Wizard, after the recovery, and before you save the file by clicking on [Tables].

Check those tables you want included in the recovered file.

Once you have chosen the tables you want, click on [Save] to save immediately.


 Advanced recovery: Save progress
Advanced recovery wizard (7 of 8)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [6 a] [7] [8]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 8 steps.

Save progress

During the file saving process you will see a progress bar that will show you the elapsed time and time remaining until the completion of the process.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Advanced recovery: Select file
Advanced recovery wizard (1 of 8)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [6 a] [7] [8]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 8 steps.

Select file

Click on [Select file] and choose the file you want to recover from the explorer window.

Once the file has been selected click on [Next] which will take you to the next step.


 Advanced recovery: Results of the diagnosis
Advanced recovery wizard (2 of 8)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [6 a] [7] [8]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 8 steps.

Structure replacement file

This is useful only when, after a quick recovery operation, the viewer shows in the summary a "Definitions lost" warning. The affected tables will be marked with a red "X" over the icon in the table list.

Each table has a related definition in the file containing the field's type and size. Without this definition it is only possible to recover regular text fields while other fields (such as numerical, memo, logical, etc.) are lost.

This feature allows you to use an external file as a replacement for these lost table definitions: We call this a "structure replacement file". After this is done the lost fields in the affected tables will be recovered.

Requirements

The structure replacement file must have the same tables with identical structure as your corrupt file. This mean that when editing the table in design mode with MS Access you should have identical fields in both the corrupt and the replacement file. This could be an older version of the file such as a back-up, or a file with the same table structure.

If needed, click on [Use a structure replacement file] radio button and select a file.

Then click on [Recover] which will initiate the recovery process.


 AccessFIX Help index
AccessFIX help index

Software overview & features

Description
New in this version
Features & editions
Release history
System requirements
Multi-language
Limitations
Uninstall instructions

Software operating instructions

Main window & navigation

Recovery

Quick recovery
Advanced recovery
 Multi-file recovery

Configuration

Update wizard

Licensing operating

Installing the license file
1st time activation
Licensee details & agreement
Demo settings

Company, contact & support

Company
Contact
Technical support

Evaluating and ordering


 Multi-file recovery: Overwrite alert
Multi-file recovery wizard (1b of 3)
[Previous] [Next] - [1] [1 b] [2] [3]
[Help index]

The Multi-file recovery wizard runs inside the main window and has 3 steps.

Overwrite alert

This alert is shown because some of the destination files already exist.

If this occurs it is because you have a different file, or a file that is a result of a previous recovery with the same name as the file you are trying to recover. If this is the case you can click on [Continue] with no worry.


 Multi-file recovery: Recovery process
Multi-file recovery wizard (2 of 3)
[Previous] [Next] - [1] [1 b] [2] [3]
[Help index]

The Multi-file recovery wizard runs inside the main window and has 3 steps.

Recovery process

During the recovery of the files you will see a progress bar that will show how long the process will take.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Multi-file recovery: Results
Multi-file recovery wizard (3 of 3)
[Previous] [Next] - [1] [1 b] [2] [3]
[Help index]

The Multi-file recovery wizard runs inside the main window and has 3 steps.

Results

This shows the results of the recovery for each file and helps you open them with MS Access. The list box has two columns:

  • Output file: The new file created containing the recovered data.

  • Result: If the recovery for a particular file was successful this field will show "Recovered". If you select the file and you click on [Open] the file will be opened with MS Access. If the recovery failed, the cause of the failure will be shown in this column and the [Open] button will not be available.


 Multi-file recovery: Select files
Multi-file recovery wizard (1 of 3)
[Previous] [Next] - [1] [1 b] [2] [3]
[Help index]

The Multi-file recovery wizard runs inside the main window and has 3 steps.

Select files

This will perform an automatic recovery of all the files in the list without interruption until all files have been processed.

The list has two columns:

  • Corrupt file: The full path and name of the corrupt file.
  • Output file: The relative path and name where the recovered file will be saved. The dot in the path is equivalent to the folder where the corrupt file is.

Add corrupted files to the list by dragging and dropping them from the Windows Explorer or by using the buttons above the list:

  • Add: Allows you to browse your disk and add one or more files to the list.
  • Clear: Removes the selected files from the list.
  • Clear all: Empties the list.

Once the files have been selected click on [Recover all] which will initiate the recovery & save process. If some of the output files already exist you will be taken to the [Overwrite alert].


 Options: Alerts
Options (alerts)
[General] [Multi-file] [Save format ] [Alerts]
[Help index]

You can access this main section in the menu [Options / Options].

Edit the options you want and click on [Apply] to save, or [Cancel] to discard. You will be taken to the last recovery wizard step you were running.

Show all alerts

Some alert dialog boxes in the program have a check box [Don't show any more]. If you check this option the dialog is no longer shown.

If you miss an alert dialog you can click on [Show all alerts] to reactivate all of the currently hidden dialog boxes in the program. You will still be able to hide the boxes again at any time.


 Options: Multi-file
Options (multi-file)
[General] [Multi-file] [Save format ] [Alerts]
[Help index]

You can access this main section in the menu [Options / Options].

Edit the options you want and click on [Apply] to save, or [Cancel] to discard. You will be taken to the last recovery wizard step you were running.

This options will only affect the multi-file recovery operations. For quick recovery & advanced recovery naming options go to the menu [Options / Options / General].

In this section you can configure how AccessFIX names the new files created in multi-file recovery operations.

Output file suffix

This will save the recovered files in the same folder as the original files by adding a configurable preset suffix. This allows you to have the recovered files in the same folder as the original and adjacent to it when ordering the files by name.

Output subfolder name

This will save the recovered files with the same name as the original file but into a subfolder. This allows you to have the recovered files all together in a subfolder with an identical name arrangement as the original.


 Options: Save format
Options (save format)
[General] [Multi-file] [Save format ] [Alerts]
[Help index]

You can access this main section in the menu [Options / Options].

Edit the options you want and click on [Apply] to save, or [Cancel] to discard. You will be taken to the last recovery wizard step you were running.

Default save format

This will be the default choice in the option [Output file format] every time you save a recovered file in Quick and Advanced recovery modes. Multi-file recovery will use this setting to save all the recovered files.

Currently installed MS Access version: The recovered file will be saved as a new MS Access file. The version will be detected from the installed Ms Jet database engine installed in the system. This will correspond in most cases with your currently installed MS Access version.

MS Access 95: Use this option to "force" the save in MS Access 95 file format. Sometimes, when you install an additional software that uses MS Access databases, the Ms Jet database engine is automatically upgraded so the detected version is newer than your installed MS Access version. If you have installed MS Access 95 but the recovered saved file cannot be opened with an "unrecognized file format" error, set this option.

CSV text files: If you check this option the recovered tables will be saved as text files with CSV format. This is a standard data exchanging format recognized by many programs including MS Access. AccessFIX will create a new CSV file for each table and all the files will be stored in a newly created folder named as the original damaged file plus the suffix "_csv".

Text CSV settings

Lets you configure details regarding how a recovered file is saved when you choose the save as Text CSV option. Although the default values are Ok for most programs, there could be some differences. For example Ms Access will expect by default ";" as delimiter while Ms Excel will expect "," as delimiter.

Field delimiter: Character used to separate fields on each record.

quotation mark: Character used to enclose text fields.

Max. memo length: Large memo fields can produce errors in MS Access' importation wizard. This option lets you trim large fields to avoid this problem. Enter the maximum amount of character saved in a single memo field.


 Quick recovery: Preview
Quick recovery wizard (4 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Preview

This allows you to preview the recovered tables. The window is divided into three areas that you can rearrange by dragging the splitters between areas.

Click on [Go to save] to go to the next step and start the save process.

There are 3 areas:

Tables

The top-left area shows the list of tables in the file. Click on a table to preview it. If a table icon is marked with a red "X" ( [image]), it means the table has lost its definition. You can improve the recovery of this kind of tables using a structure replacement file.

Records

The top-right area shows the details of the selected table. You can resize the column width by dragging the splitter between field headers. If you click on a field and wait a second a tooltip window will show the whole field content.

Summary

The bottom area shows the total, and per table record count as well as possible warnings.

Demo restrictions

The demo version of AccessFIX will show you a partial view of the recovered data hiding row 40 and one in ten rows thereafter.


 Quick recovery: Recovery process
Quick recovery wizard (2 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Recovery process

During the file diagnosis you will see a progress bar that will show you how long the process will last. Once the file has been diagnosed, it will be automatically recovered with the default options, showing you the progress of the operation, the elapsed time and remaining time until completion.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Quick recovery: Recovery results

Quick recovery wizard (3 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Recovery results

When the file has been recovered you will see the results of the operation and a summary of the recovered elements in your file.

Click on [View] to go to the next step and see the recovered file in the preview window.

Recovery error:

If the recovery failed please correct the cause of the failure and click on [Try again] to begin a new recovery of the file.


 Quick recovery: Saving the file
Quick recovery wizard (5 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Saving the file

The screen shows you the name and path of the new file that will be created. In order to preserve the original file a new one is created by adding the suffix "(AccessFIX)" to the original file name. The new file is saved in the same location as the original file.

Click on [Save] to save the recovered data into the new file.

Output file name

You may change the name of the output file by editing directly the field [Recovered file]. You should not use the same name as the original file in order to avoid overwriting it.

File naming settings

You may change the default suffix used to name the new file as well as the CSV format settings in the menu [Options / Options / General].

Output file format

You can select one of three options:

Currently installed MS Access version: The recovered file will be saved as a new MS Access file. The version will be detected from the installed Ms Jet database engine installed in the system. This will correspond in most cases with your currently installed MS Access version.

MS Access 95: Use this option to "force" the save in MS Access 95 file format. Sometimes, when you install an additional software that uses MS Access databases, the Ms Jet database engine is automatically upgraded so the detected version is newer than your installed MS Access version. If you have installed MS Access 95 but the recovered saved file cannot be opened with an "unrecognized file format" error, set this option.

CSV text files: If you check this option the recovered tables will be saved as text files with CSV format. This is a standard data exchanging format recognized by many programs including MS Access. AccessFIX will create a new CSV file for each table and all the files will be stored in a newly created folder named as the original damaged file plus the suffix "_csv".


 Quick recovery: Save results
Quick recovery wizard (7 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Save results

This screen is shown when the save process is completed. If you want more information regarding the recovered file please read the topic recovered file questions.

Once the file has been successfully saved click on [Open] to open the new file using MS Access.

If the save process failed

If the save process failed please correct the cause of the failure and click on [Try again] to begin a new saving process of the file.

Starting a new recovery

In order to perform a new Quick Recovery click on the [Recovery] top button and you will return to the first step of the Wizard.


 Quick recovery: Save progress
Quick recovery wizard (6 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Save progress

During the file saving process you will see a progress bar that will show you the elapsed time and time remaining until the completion of the process.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Quick recovery: Select file
Quick recovery wizard (1 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Select file

Click on [Select file] and choose the file you want to recover from the explorer window.

Once the file has been selected click on [Recover] which will initiate the diagnosis and recovery process.


 Work-around for persistent corruptions
Frequently asked questions about the recovered file

The topics below contains problem descriptions with the recovered file after saving it and how to work-around them.

Autonumbers

AccesFIX uses the same functions as MS Access to create files, tables and fields, and also to add recovered records to different tables. MS Access and Microsoft DAO (data MS Access Objects used by AccessFIX to create a new trouble free file) do not allow the modification of autonumber fields.

If AccessFIX created an autonumber field at the moment it saved the recovered records, DAO would assign each record a new number that would be impossible to change. For that reason, AccessFIX creates a conventional number field, to preserve the original value of the autonumber field.

You can apply the following method on a recovered table:

  1. When you detect blanks in the middle of a continued sequence of numbers, add new empty records. (E.g: You get a recovered table with 4 records where its autonumber field contains the following values: 1,2,4 and 5. Then, add a new record putting number 3 in the autonumber field).
  2. Once you finish adding new records, set all the records in ascending mode. Now the autonumber field should be correlative starting from number one.
  3. Get MS Access records ordered internally in the same way they are displayed -> Select all the table records and click on Edit: Cut and then Edit: Paste.
  4. Edit the table in design mode removing the autonumber field and inserting a new autonumber field with the same field name.
  5. From edit mode, remove all the records created in step 1 from the table.

The Recovered File has "Lost Definitions"

The tables with lost definitions can be identified in the viewer once the recovery is complete, they appear with a different icon ( [image]). It is possible to recover more information from these tables if a backup file or an old copy of the file (or a file with the same structure) is attached during recovery. The content of this backup or older version is not important, AccessFIX will use only the structure of the tables to help direct the information from the corrupt file into the new file.

The backup can be attached by recovering the original file with the Advanced Recovery option and then selecting the "Use the structure of an external file" option and selecting the backup file from the explorer.

The Save Process is Lengthy or Stops Mid-Save

Sometimes it is helpful to utilize the partial save option if a file has many tables, or tables that contain large amounts of data. To perform a partial save, recover the file with the Advanced Recovery and proceed to the save step. Click on the "Tables" key at the bottom of the screen. This option will allow you to individually select the tables that will be included in the save. You should begin by dividing the tables into two or three partial saves, if you continue to have trouble you can perform more saves with fewer tables in each. Once all of the tables have been saved into new files, import all tables into one database.

A recovered File is Missing Data

If some of the file data was not recovered by AccessFIX it may be because this data was either lost or erased during the corruption. AccessFIX extracts the information that is in a corrupt file and replaces it into a new and trouble-free file, however it cannot recreate information that was lost prior to the recovery. A good method to check this "lost information" is to open the original file with a binary editor, such as Notepad or UltraEdit.

Still having problems

If you cannot obtain a useful file by applying these topics do not hesitate in contacting the technical support team.


 Update wizard: Check results
Update wizard (2 of 4)
[Previous] [Next] -[1] [2] [3] [4]
[Help index]

You can access this option from the menu [Options / Update]

This wizard allows you to download & install the latest available release of the program from our web site by simply clicking a few times on the "next" button.

Check results

This step shows whether you have the latest release or there is a newer release available.

Click on [Download] to start the download. It will take a few seconds or a few minutes depending on your connection speed. The installation file will be stored in the program folder, LastSetup.exe.


 Update wizard: Download progress
Update wizard (3 of 4)
[Previous] [Next] -[1] [2] [3] [4]
[Help index]

You can access this option from the menu [Options / Update]

This wizard allows you to download & install the latest available release of the program from our web site by simply clicking a few times on the "next" button.

Download progress

During the download you will see a progress bar that will show you how long the process will last. It will take a few seconds or a few minutes depending on your connection speed. The installation file will be stored in the program folder, LastSetup.exe.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Update wizard: Results
Update wizard (4 of 4)
[Previous] [Next] -[1] [2] [3] [4]
[Help index]

You can access this option from the menu [Options / Update]

This wizard allows you to download & install the latest available release of the program from our web site by simply clicking a few times on the "next" button.

Results

Once completed, and if the download has been completed successfully, you can click on [Install]. The program will be closed and the set-up will be launched. It is important to close any OfficeFIX application before installing the new release.

If the download fails

If the download failed please correct the problem and click on [Try again].